# Example how to prepare dict
# cd plugins
# grep -r DEFINE_API_ARGS . | sed -e "s#\./\([a-z0-9_]\+\)/.*DEFINE_API_ARGS[ (]\+\([a-z_]\+\),.*#'\2': '\1'#g"
API = {
    "get_invites_list": "invite_api",
    "get_invite_by_id": "invite_api",
    "get_invite_by_key": "invite_api",
    "get_block_header": "database_api",
    "get_block": "database_api",
    "set_block_applied_callback": "database_api",
    "get_config": "database_api",
    "get_dynamic_global_properties": "database_api",
    "get_chain_properties": "database_api",
    "get_hardfork_version": "database_api",
    "get_next_scheduled_hardfork": "database_api",
    "get_accounts": "database_api",
    "lookup_account_names": "database_api",
    "lookup_accounts": "database_api",
    "get_account_count": "database_api",
    "get_owner_history": "database_api",
    "get_recovery_request": "database_api",
    "get_escrow": "database_api",
    "get_withdraw_routes": "database_api",
    "get_vesting_delegations": "database_api",
    "get_expiring_vesting_delegations": "database_api",
    "get_transaction_hex": "database_api",
    "get_required_signatures": "database_api",
    "get_potential_signatures": "database_api",
    "verify_authority": "database_api",
    "verify_account_authority": "database_api",
    "get_database_info": "database_api",
    "get_proposed_transactions": "database_api",
    "check_authority_signature": "auth_util",
    "broadcast_transaction": "network_broadcast_api",
    "broadcast_transaction_synchronous": "network_broadcast_api",
    "broadcast_block": "network_broadcast_api",
    "broadcast_transaction_with_callback": "network_broadcast_api",
    "get_content": "social_network",
    "get_content_replies": "social_network",
    "get_all_content_replies": "social_network",
    "get_account_votes": "social_network",
    "get_active_votes": "social_network",
    "get_replies_by_last_update": "social_network",
    "get_committee_request": "social_network",
    "get_committee_request_votes": "social_network",
    "get_committee_requests_list": "social_network",
    #'get_invites_list': 'social_network',
    #'get_invite_by_id': 'social_network',
    #'get_invite_by_key': 'social_network',
    "get_committee_request": "committee_api",
    "get_committee_request_votes": "committee_api",
    "get_committee_requests_list": "committee_api",
    "get_key_references": "account_by_key",
    "get_block_info": "block_info",
    "get_blocks_with_info": "block_info",
    "debug_generate_blocks": "debug_node",
    "debug_generate_blocks_until": "debug_node",
    "debug_push_blocks": "debug_node",
    "debug_push_json_blocks": "debug_node",
    "debug_pop_block": "debug_node",
    "debug_get_witness_schedule": "debug_node",
    "debug_get_hardfork_property_object": "debug_node",
    "debug_set_hardfork": "debug_node",
    "debug_has_hardfork": "debug_node",
    "get_trending_tags": "tags",
    "get_tags_used_by_author": "tags",
    "get_discussions_by_payout": "tags",
    "get_discussions_by_trending": "tags",
    "get_discussions_by_created": "tags",
    "get_discussions_by_active": "tags",
    "get_discussions_by_cashout": "tags",
    "get_discussions_by_votes": "tags",
    "get_discussions_by_children": "tags",
    "get_discussions_by_hot": "tags",
    "get_discussions_by_feed": "tags",
    "get_discussions_by_blog": "tags",
    "get_discussions_by_contents": "tags",
    "get_discussions_by_author_before_date": "tags",
    "get_languages": "tags",
    "get_account_history": "account_history",
    "get_paid_subscription_options": "paid_subscription_api",
    "get_paid_subscription_status": "paid_subscription_api",
    "get_active_paid_subscriptions": "paid_subscription_api",
    "get_inactive_paid_subscriptions": "paid_subscription_api",
    "get_ops_in_block": "operation_history",
    "get_transaction": "operation_history",
    "get_raw_block": "raw_block",
    "get_followers": "follow",
    "get_following": "follow",
    "get_follow_count": "follow",
    "get_feed_entries": "follow",
    "get_feed": "follow",
    "get_blog_entries": "follow",
    "get_blog": "follow",
    "get_reblogged_by": "follow",
    "get_blog_authors": "follow",
    "get_inbox": "private_message",
    "get_outbox": "private_message",
    "get_active_witnesses": "witness_api",
    "get_witness_schedule": "witness_api",
    "get_witnesses": "witness_api",
    "get_witness_by_account": "witness_api",
    "get_witnesses_by_vote": "witness_api",
    "get_witness_count": "witness_api",
    "lookup_witness_accounts": "witness_api",
    "test_api_a": "test_api",
    "test_api_b": "test_api",
    "api_name": "json_rpc",
}
